2019-01-22 02:52 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002208NetSurf[All Projects] Generalpublic2016-02-16 15:30
ReporterChristian Lepper 
Assigned ToVincent Sanders 
SeveritytrivialReproducibilityalways 
StatusclosedResolutionfixed 
PlatformX86 -> armOSHost ubuntu OS Version
Product Version 
Target VersionFixed in Version3.4 
Summary0002208: STRIP handling
DescriptionSettings in Makefile.config:
## Enable stripping the NetSurf binary
# Valid options: YES, NO
override NETSURF_STRIP_BINARY := YES

Using external strip:
export STRIP=/<......>/bin/arm-linux-strip

While cross compiling with HOST x86 and TARGET arm, using a cross-gcc and cross-strip. the .../netsurf/Makefile sets the variable STRIP to the HOST-strip

changing line 140:
from
STRIP = strip
to:
STRIP ?= strip

will give this possibility to use cross-strip properly.
TagsNo tags attached.
Fixed in CI build #2675
Reported in CI build #
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
Vincent Sanders

~0000802

Vincent Sanders (administrator)

NetSurf makefile updated as suggested.
Vincent Sanders

~0001322

Vincent Sanders (administrator)

Confirmed resolved in 3.4 release
+Notes

-Issue History
Date Modified Username Field Change
2014-10-23 12:52 Christian Lepper New Issue
2015-03-22 17:37 Vincent Sanders Project Buildsystem => NetSurf
2015-03-22 17:50 Vincent Sanders Fixed in CI build # => 2675
2015-03-22 17:50 Vincent Sanders Note Added: 0000802
2015-03-22 17:50 Vincent Sanders Assigned To => Vincent Sanders
2015-03-22 17:50 Vincent Sanders Status new => resolved
2015-03-22 17:50 Vincent Sanders Resolution open => fixed
2015-03-22 17:50 Vincent Sanders Fixed in Version => 3.4
2016-02-16 15:30 Vincent Sanders Note Added: 0001322
2016-02-16 15:30 Vincent Sanders Status resolved => closed
+Issue History